import type { RouteRecordRaw } from "vue-router";
import useSnowflake from "@/js/contexts/shared/composables/useSnowflake";

const routes: RouteRecordRaw[] = [
  {
    name: "index",
    path: "/",
    component: () => import("@/js/contexts/pages/ui/pages/LandingPage.vue"),
    beforeEnter: (to, from, next) => {
      if (!useSnowflake().props.links.homepage) {
        return next({ name: "login" });
      }
      return next();
    },
  },
];

export default routes;
